# sortList static method

void sortList(

1. List<Object> list

)

Sorts the given `list` using this comparator.

This static convenience method provides an easy way to sort lists using the standard JetLeaf ordering rules.

### Parameters:

- `list`: The list to sort in-place

### Optimization:

- No-op for lists with 0 or 1 elements
- Uses the singleton INSTANCE for consistent ordering

### Example:

    final processors = [
      HighPriorityProcessor(), // implements PriorityOrdered
      LowPriorityProcessor(),  // implements Ordered with value 100
      MediumPriorityProcessor() // implements Ordered with value 50
    ];

    OrderComparator.sortList(processors);

    // Processors are now sorted: HighPriority, MediumPriority, LowPriority
    for (final processor in processors) {
      processor.process();
    }

## Implementation

    static void sortList(List<Object> list) {
      if (list.length > 1) {
        list.sort(INSTANCE.compare);
      }
    }